/*
 * Copyright 2014 Peter Olsson
 * 
 * This file is part of Brum Brum Rally.
 * 
 * Brum Brum Rally is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Brum Brum Rally is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "DeleteTrack.h"
#include "SelectTrack.h"
#include "StateManager.h"

DeleteTrack::DeleteTrack(const TimeTrialTrack& ttt)
:	ttt(ttt),
	txt("Are you sure you want to delete this track?", 100)
{
	menu.setTitle("delete track");
	
	menu.addItem("no", &no);
	menu.addItem("yes", &yes);
	
	txt.addTo(this);
	
	menu.addRenderObjects(this);
}

void DeleteTrack::onEvent(const SDL_Event& event)
{
	StateManager& sm = StateManager::getInstance();
	
	MenuEvent me = sm.getMenuEvent(event);
	if (menu.onEvent(me))
	{
		if (yes)
		{
			ttt.removeFiles();
		}
	}
	
	if (yes || no || me.type == MENU_ESC)
	{
		sm.enter(new SelectTrack(), -1);
	}
}
